DRM_ATOMIC_HELPER_CH(9)

NAME
drm_atomic_helper_check - validate state object

SYNOPSIS

int drm_atomic_helper_check(struct drm_device * dev, struct drm_atomic_state * state);

ARGUMENTS

dev
    DRM device

state
    the driver state object

DESCRIPTION

Check the state object to see if the requested state is physically possible. Only crtcs and planes have check callbacks, so for any additional (global) checking that a driver needs it can simply wrap that around this function. Drivers without such needs can directly use this as their ->atomic_check callback.

RETURNS Zero for success or -errno

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT